GENERAL INFORMATION
-------------------

Dataset Title: 

SpiderDec, the decomposed version of the Spider dev data set


Authors: 

Sara Salimzadeh 
GitHub: sarasal (https://github.com/sarasal)
ORCID: https://orcid.org/0000-0001-8734-951X
Email Address: sara@salimzadeh.com, s.salimzadeh@tudelft.nl
Institution: Web Information Systems Group, Department of Software Technology, Faculty of Electrical Engineering, Mathematics and Computer Science, Delft University of Technology 



DESCRIPTION
-----------

General description of the dataset:  

SpiderDec is an extension of the Spider Dataset. The original Spider dataset split the data into training, development, and a hidden test set. For this new dataset, we manually decomposed the questions and corresponding queries within the development set of the Spider dataset, focusing on those with hard and extra hard SQL queries. The result of this effort is the creation of SpiderDec.

Keywords:

Text-to-SQL - Semantic Parsing - Natural Language Interface to Databases - Crowdsourcing - Human Computation - Corpus Annotation




Date of dataset publication: (2023-06-10)
	

Funding: 

ING Group



ACCESS INFORMATION
------------------

Creative Commons License of the dataset:

Technische Universiteit Delft hereby disclaims all copyright interest in the dataset contains the annotation of the complexity and diverse features of decision tasks in the human-AI decision-making literature written by Sara Salimzadeh.
Lucas van Vliet, Dean of Faculty of Electrical Engineering, Mathematics and Computer Science.

 Copyright 2024 Sara Salimzadeh

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.


Dataset DOI:

10.4121/66ab9ab1-a08a-4c63-bd92-d11e2c3c06f8



VERSIONING AND PROVENANCE
-------------------------

Last modification date: (2023-06-10)




METHODOLOGICAL INFORMATION
--------------------------

Description of data collection methods:

The decomposition was created on the development set of the Spider dataset, breaking down complex questions into simpler sub-questions to enable text-to-SQL models to correctly convert them into corresponding SQL queries.


Methods for processing the data: 

For each example in the Spider dev set, we assign a JSON object including database_id, interaction, and final.
Within the interaction list, sub-questions are saved. The Final object is the question we apply decomposition on.
Here an example is shown. 
Note that we name the execution result of each question as a table, tb1 is the execution result of sub-question 1, tb2 is the execution result of sub-question 2, and so on.

{
        "database_id": "tvshow",
        "interaction": [
            {
                "utterance": "what are the tv channels playing any cartoons directed by Ben Jones?",
                "query": "SELECT channel FROM cartoon WHERE directed_by = 'Ben Jones'"
            },
            {
                "utterance": "What are the package options of all tv channels that are not in tb1?",
                "query": "SELECT package_option FROM TV_Channel WHERE id EXCEPT (SELECT channel FROM cartoon)"
            }
        ],
        "final": {
            "query": "SELECT package_option FROM TV_Channel WHERE id NOT IN (SELECT channel FROM cartoon WHERE directed_by = 'Ben Jones')",
            "utterance": "What are the package options of all tv channels that are not playing any cartoons directed by Ben Jones?"
        }
}




FILE OVERVIEW
-------------

Directory structure:

This folder contains the SpiderDec, the decomposed version of the Spider dev data set as the dev-decomposed.json. 

- dev-decomposed.json
  # Training Examples: 1034
  # Databases:     20



REFERENCES
----------

@inproceedings{salimzadeh_text2sql,
  author = {Salimzadeh, Sara and Gadiraju, Ujwal and Hauff, Claudia and van Deursen, Arie},
  title = {Exploring the Feasibility of Crowd-Powered Decomposition of Complex User Questions in Text-to-SQL Tasks},
  year = {2022},
  isbn = {9781450392334},
  publisher = {Association for Computing Machinery},
  address = {New York, NY, USA},
  url = {https://doi.org/10.1145/3511095.3531282},
  doi = {10.1145/3511095.3531282},
  booktitle = {Proceedings of the 33rd ACM Conference on Hypertext and Social Media},
  pages = {154–165},
  numpages = {12},
  keywords = {Text-to-SQL, Semantic Parsing, Natural Language Interface to Databases, Human Computation, Crowdsourcing, Corpus Annotation},
  location = {Barcelona, Spain},
  series = {HT '22}
}

